GDB (xrefs)

Public Member Functions | List of all members
gdb.command.xmethods.EnableXMethod Class Reference
Inheritance diagram for gdb.command.xmethods.EnableXMethod:

## Public Member Functions
def | __init__ (self)
def | invoke (self, arg, from_tty)
def | __init__ (self)
def | invoke (self, arg, from_tty)

## Detailed Description

    GDB command to enable a specified (group of) xmethod(s).

    Usage: enable xmethod [locus-regexp [name-regexp]]

    LOCUS-REGEXP is a regular expression matching the location of the
    xmethod matchers.  If it is omitted, all registered xmethods matchers
    from all loci are enabled.  A locus could be 'global', a regular expression
    matching the current program space's filename, or a regular expression
    matching filenames of objfiles.  Locus could be 'progspace' to specify that
    only xmethods from the current progspace should be enabled.

    NAME-REGEXP is a regular expression matching the names of xmethods
    within a given locus.  If this omitted for a specified locus, then all
    registered xmethod matchers in the locus are enabled.  To enable only
    a certain xmethods managed by a single matcher, the name regexp can be
    specified as matcher-name-regexp;xmethod-name-regexp.

Definition at line 213 of file xmethods.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.command.xmethods.EnableXMethod.__init__ | ( |  | self | ) |

Definition at line 232 of file xmethods.py.

Referenced by gdb.command.xmethods.EnableXMethod.__init__().

## ◆ __init__() [2/2]

def gdb.command.xmethods.EnableXMethod.__init__ | ( |  | self | ) |

Definition at line 232 of file xmethods.py.

References gdb.command.xmethods.EnableXMethod.__init__().

## Member Function Documentation

## ◆ invoke() [1/2]

def gdb.command.xmethods.EnableXMethod.invoke | ( |  | self,
|  |  | arg,
|  |  | from_tty
| ) |  |

Definition at line 236 of file xmethods.py.

References gdb.command.xmethods.set_xm_status().

Referenced by gdb.command.xmethods.EnableXMethod.invoke().

## ◆ invoke() [2/2]

def gdb.command.xmethods.EnableXMethod.invoke | ( |  | self,
|  |  | arg,
|  |  | from_tty
| ) |  |

Definition at line 236 of file xmethods.py.

References gdb.command.xmethods.EnableXMethod.invoke(), and gdb.command.xmethods.set_xm_status().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/command/xmethods.py